RANDOM(4)

NAME
random, arandom - random data source devices

SYNOPSIS
#include <sys/types.h>
#include <dev/rndvar.h>

DESCRIPTION
The various random devices produce high quality random output data. Entropy data is collected from system activity (such as disk, network, and clock device interrupts), and then used to key the ChaCha stream cipher to generate the output. All the random devices are expected to provide high quality pseudo-random output data.

The arc4random(3) function in userland libraries should be used instead, as it works without the need to access these devices every time.

FILES
/dev/random
/dev/arandom

SEE ALSO
arc4random(3), md5(3), random(3), amdpm(4), glxsb(4), pchb(4), arc4random(9), md5(9)

HISTORY
A random device first appeared in the Linux operating system. This is a cloned interface.

ARC4 routines added by David Mazieres. Changed to use the ChaCha cipher in OpenBSD 5.5.

BUGS
No randomness testing suite provided.